<h2><?php _e('Shortcode', self::$text_domain); ?></h2>

<div class="postbox">
	<h3><span><?php _e('Description',self::$text_domain); ?></span></h3>
	<div class="inside">
		<span><?php _e("This shortcode allows you to display popular posts wherever you want!  Inside post content using a shortcode or inside a theme using the do_shortcode() function.", self::$text_domain); ?></span>
	</div>
</div>

<div class="postbox">
	<h3><span><?php _e('Examples',self::$text_domain); ?></span></h3>
	<div class="inside">
		<pre><code>[nnr_popular_posts id="nnrobots-popular-posts" is_single="false"]</code></pre>
		<pre><code>&lt;?php do_shortcode('[nnr_popular_posts id="nnrobots-popular-posts" is_single="false"]'); ?&gt;</code></pre>
	</div>
</div>

<!--
<ol class="<?php echo self::$prefix_dash; ?>usage-list">
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("id", self::$text_domain); ?></span><span><?php _e(": Default ('nnrobots-popular-posts')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("Use this ID to uniquely identify your popular posts shortcode.", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("is_single", self::$text_domain); ?></span><span><?php _e(": Default (true)", self::$text_domain); ?></span>
				<ul style="list-style-type: disc; list-style-position: inside;">
					<li><span><?php _e("true:  Display only on a post single page.", self::$text_domain); ?></span></li>
					<li><span><?php _e("false:  Display all times the post's content is displayed.", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("content", self::$text_domain); ?></span><span><?php _e(": Default ('all_post_types')", self::$text_domain); ?></span>
				<ul style="list-style-type: disc; list-style-position: inside;">
					<li><span><?php _e("all_post_types", self::$text_domain); ?></span></li>
					<li><span><?php _e("only_posts", self::$text_domain); ?></span></li>
					<li><span><?php _e("only_pages", self::$text_domain); ?></span></li>
					<li><span><?php _e("category", self::$text_domain); ?></span></li>
					<li><span><?php _e("tag", self::$text_domain); ?></span></li>
					<li><span><?php _e("custom_post_type", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("content_post_tag", self::$text_domain); ?></span><span><?php _e(": Default ('')", self::$text_domain); ?></span>
				<ul style="list-style-type: disc; list-style-position: inside;">
					<li><span><?php _e("Enter in a comma separtated list of all the category ids you want the posts to be assoicated with.  (i.e. 1,2,3,4)", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("content_post_category", self::$text_domain); ?></span><span><?php _e(": Default ('')", self::$text_domain); ?></span>
				<ul style="list-style-type: disc; list-style-position: inside;">
					<li><span><?php _e("Enter in a comma separtated list of all the tags you want the posts to be assoicated with.  (i.e. tag,list,here)", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("content_custom_post_type", self::$text_domain); ?></span><span><?php _e(": Default ('')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("Enter in a comma separtated list of all the custom posts types you want to include.  (i.e. portfolio,job,listing)", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("popularity", self::$text_domain); ?></span><span><?php _e(": Default ('views')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("views", self::$text_domain); ?></span></li>
					<li><span><?php _e("comments", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("popularity_time_range", self::$text_domain); ?></span><span><?php _e(": Default ('7_days')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("1_day", self::$text_domain); ?></span></li>
					<li><span><?php _e("7_days", self::$text_domain); ?></span></li>
					<li><span><?php _e("30_days", self::$text_domain); ?></span></li>
					<li><span><?php _e("1_year", self::$text_domain); ?></span></li>
					<li><span><?php _e("all_time", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("layout", self::$text_domain); ?></span><span><?php _e(": Default ('list')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("list", self::$text_domain); ?></span></li>
					<li><span><?php _e("bar_graph", self::$text_domain); ?></span></li>
					<li><span><?php _e("line_graph", self::$text_domain); ?></span></li>
					<li><span><?php _e("image_tile", self::$text_domain); ?></span></li>
					<li><span><?php _e("masonry", self::$text_domain); ?></span></li>
					<li><span><?php _e("grid", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("grid_size", self::$text_domain); ?></span><span><?php _e(": Default ('medium')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("small", self::$text_domain); ?></span></li>
					<li><span><?php _e("medium", self::$text_domain); ?></span></li>
					<li><span><?php _e("larger", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("style_override", self::$text_domain); ?></span><span><?php _e(": Default (true)", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("Whether to use your custom text and background colors or to your themes.", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("color", self::$text_domain); ?></span><span><?php _e(": Default ('#d3d3d3')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("The color of the background.", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("text_color", self::$text_domain); ?></span><span><?php _e(": Default ('#000000')", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("The color of the text.", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("num_of_posts", self::$text_domain); ?></span><span><?php _e(": Default ('5') The total number of posts that are displayed.", self::$text_domain); ?></span>

				<table style="width: 100%;">
					<tbody>

					<?php for ($i = 1; $i <= 20; $i += 5) { ?>
						<tr>
							<td style="width: 20%;"><ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
								<li><span><?php _e($i, self::$text_domain); ?></span></li>
							</ul></td>
							<td style="width: 20%;"><ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
								<li><span><?php _e($i + 1, self::$text_domain); ?></span></li>
							</ul></td>
							<td style="width: 20%;"><ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
								<li><span><?php _e($i + 2, self::$text_domain); ?></span></li>
							</ul></td>
							<td style="width: 20%;"><ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
								<li><span><?php _e($i + 3, self::$text_domain); ?></span></li>
							</ul></td>
							<td style="width: 20%;"><ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
								<li><span><?php _e($i + 4, self::$text_domain); ?></span></li>
							</ul></td>
						</tr>
					<?php } ?>

					</tbody>
				</table>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("meta_data", self::$text_domain); ?></span><span><?php _e(": Default (true) Whether or not there is meta data displayed per post./disable pause when mouse hovers the news scroller element.", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("true", self::$text_domain); ?></span></li>
					<li><span><?php _e("false", self::$text_domain); ?></span></li>
				</ul>
			</li>
			<li>
				<span class="<?php echo self::$prefix_dash; ?>parameter"><?php _e("async", self::$text_domain); ?></span><span><?php _e(": Default (false) Whether or not to display data asynchronously using AJAX.", self::$text_domain); ?></span>
				<ul class="<?php echo self::$prefix_dash; ?>usage-detail-list">
					<li><span><?php _e("true", self::$text_domain); ?></span></li>
					<li><span><?php _e("false", self::$text_domain); ?></span></li>
				</ul>
			</li>
		</ol>
-->